Bug 797389 - nfs:posix test fails
nfs:posix test fails
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Vinayaga Raman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-25 09:20 EST by Saurabh
Modified: 2016-01-19 01:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 03:49:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-02-25 09:20:10 EST
Description of problem:

Test Summary Report
-------------------
/opt/qa/tools/posix-testsuite/tests/chmod/00.t   (Wstat: 0 Tests: 58 Failed: 1)
  Failed test:  47
/opt/qa/tools/posix-testsuite/tests/chown/00.t   (Wstat: 0 Tests: 171 Failed: 3)
  Failed tests:  77, 84, 88
/opt/qa/tools/posix-testsuite/tests/link/00.t    (Wstat: 0 Tests: 82 Failed: 3)
  Failed tests:  72, 79-80
/opt/qa/tools/posix-testsuite/tests/mkdir/00.t   (Wstat: 0 Tests: 36 Failed: 3)
  Failed tests:  30-32
/opt/qa/tools/posix-testsuite/tests/mkfifo/00.t  (Wstat: 0 Tests: 36 Failed: 3)
  Failed tests:  30-32
/opt/qa/tools/posix-testsuite/tests/open/00.t    (Wstat: 0 Tests: 47 Failed: 3)
  Failed tests:  30-32
/opt/qa/tools/posix-testsuite/tests/unlink/00.t  (Wstat: 0 Tests: 55 Failed: 1)
  Failed test:  22
Files=185, Tests=1979, 220 wallclock secs ( 0.62 usr  0.30 sys +  5.98 cusr  8.50 csys = 15.40 CPU)
Result: FAIL

real	3m42.267s
user	0m6.663s
sys	0m8.830s


second run,

Test Summary Report
-------------------
/opt/qa/tools/posix-testsuite/tests/chown/00.t   (Wstat: 0 Tests: 171 Failed: 3)
  Failed tests:  77, 84, 88
/opt/qa/tools/posix-testsuite/tests/link/00.t    (Wstat: 0 Tests: 82 Failed: 3)
  Failed tests:  63, 72, 79
/opt/qa/tools/posix-testsuite/tests/open/00.t    (Wstat: 0 Tests: 47 Failed: 2)
  Failed tests:  33-34
/opt/qa/tools/posix-testsuite/tests/rename/ren.t (Wstat: 0 Tests: 22 Failed: 1)
  Failed test:  4
/opt/qa/tools/posix-testsuite/tests/unlink/00.t  (Wstat: 0 Tests: 55 Failed: 3)
  Failed tests:  17, 22, 53
Files=185, Tests=1979, 174 wallclock secs ( 0.66 usr  0.29 sys +  5.92 cusr  8.43 csys = 15.30 CPU)
Result: FAIL

real	2m54.456s
user	0m6.638s
sys	0m8.741s

Version-Release number of selected component (if applicable):
[root@RHSSA1 ~]# /root/330/inst/sbin/glusterfs -V
glusterfs 3.3.0qa24 built on Feb 24 2012 04:52:12
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License

How reproducible:
always,

Steps to Reproduce:
1.create a dist-rep volume
2.nfs mount
3.run posix
  
Actual results:
posix fails

Expected results:


Additional info:
Comment 1 Saurabh 2012-02-29 07:38:49 EST
on the git head,

commit 2da18b6724b7daf7c3a973515fc3d59e7d2c4622
Author: Rajesh Amaravathi <rajesh@redhat.com>
Date:   Wed Feb 22 14:51:53 2012 +0530


the posix test fails with,

link test,


Test Summary Report
-------------------
/root/posix-testsuite/tests/chown/00.t   (Wstat: 0 Tests: 171 Failed: 3)
  Failed tests:  77, 84, 88
/root/posix-testsuite/tests/link/00.t    (Wstat: 0 Tests: 82 Failed: 2)
  Failed tests:  72, 79
Files=185, Tests=1979, 98 wallclock secs ( 0.97 usr  0.38 sys + 10.99 cusr 14.74 csys = 27.08 CPU)
Result: FAIL

real	1m38.179s
user	0m12.093s
sys	0m15.162s
Comment 2 Saurabh 2012-03-05 07:26:20 EST
3.3.0qa25 result for posix,


Test Summary Report
-------------------
/opt/qa/tools/posix-testsuite/tests/chown/00.t   (Wstat: 0 Tests: 171 Failed: 3)
  Failed tests:  77, 84, 88
/opt/qa/tools/posix-testsuite/tests/link/00.t    (Wstat: 0 Tests: 82 Failed: 3)
  Failed tests:  63, 72, 79
/opt/qa/tools/posix-testsuite/tests/mkdir/00.t   (Wstat: 0 Tests: 36 Failed: 3)
  Failed tests:  30-32
/opt/qa/tools/posix-testsuite/tests/mkfifo/00.t  (Wstat: 0 Tests: 36 Failed: 2)
  Failed tests:  33-34
/opt/qa/tools/posix-testsuite/tests/open/00.t    (Wstat: 0 Tests: 47 Failed: 3)
  Failed tests:  30-32
/opt/qa/tools/posix-testsuite/tests/rename/00.t  (Wstat: 0 Tests: 79 Failed: 1)
  Failed test:  49
/opt/qa/tools/posix-testsuite/tests/unlink/00.t  (Wstat: 0 Tests: 55 Failed: 2)
  Failed tests:  17, 53
Comment 3 Rajesh 2012-03-07 03:49:42 EST
All Posix tests pass in the latest git head. please reopen if tests fail.

Note You need to log in before you can comment on or make changes to this bug.